5.3.2 with Digital Purchase over 5.4

Discussion in 'Wii U - Hacking & Backup Loaders' started by Maximilious, Oct 9, 2015.

  1. Maximilious
    OP

    Maximilious GBAtemp Addict

    Member
    2,096
    883
    Nov 21, 2014
    United States
    Edit: Confirmed working! I downloaded the title, installed, restarted, tried eshop and got denied. Then launched OSdriver and NNU to get back into eshop. Browser was not upgraded to 5.4!

    Kind of a stupid question, but worth asking I suppose to save from a potential update.

    I was about to pull the trigger on a digital purchase of SMM last night, but then I thought about how the game comes with 5.4 on disk. I have Ninty servers blocked, but I was wondering if anyone else bought it digital with the spoofer?

    Basically I don't want the game to update my console to 5.4 if it's included in the game files from eshop rather than downloading them from the update servers.
     
    Last edited by Maximilious, Oct 10, 2015
  2. gamesquest1

    gamesquest1 Nabnut

    Member
    14,134
    9,477
    Sep 23, 2013
    pretty sure its the same as on the 3DS, eshop games dont come with FW updates as the just assume that to buy the game from the eshop you logically must be on the FW required to play it.....plus bundling updates with eshop games would be a waste of space on their server and on your download
     
    Maximilious likes this.
  3. fiveighteen

    fiveighteen High Hopes and Low Expectations

    Member
    1,755
    1,264
    Jun 30, 2008
    United States
    This could actually turn out to be a great way to play future games without updating.

    Like @gamesquest1 said, I don't see why Nintendo would bundle the update in each and every digital download. Would save a lot of bandwidth and time to just put in a check to make sure you're on the required version before downloading (which would be spoofed in this case).

    That being said, I hate the idea of only buying digital downloads. I'd much rather have the physical disc and then make a copy of it digitally for primary use.

    Alternative solutions:
    • Launch using Loadiine (for compatible games)
    • IOSU exploit allows USB and WUD/compressed WUD loading without update partition.
     
    TotalInsanity4 likes this.
  4. Maximilious
    OP

    Maximilious GBAtemp Addict

    Member
    2,096
    883
    Nov 21, 2014
    United States
    Yeah, like I said stupid question but worth asking! I much rather physical as well, but I put $100 on my eShop account the other night for SSB DLC and for a future purchase. SMM is in my future one way or another haha.
     
  5. fiveighteen

    fiveighteen High Hopes and Low Expectations

    Member
    1,755
    1,264
    Jun 30, 2008
    United States
    I wouldn't say stupid. I'd be nervous pulling the trigger on it too. The seemingly obvious way isn't always the way it's done in reality. If you do it be sure to let us know.
     
  6. oumoumad

    oumoumad GBAtemp Advanced Fan

    Member
    798
    727
    Apr 20, 2015
    France
    Wouldn't it inderstand that you're practically on 5.5.0 since you used crediar's permanent firmware spoof ?
     
  7. Maximilious
    OP

    Maximilious GBAtemp Addict

    Member
    2,096
    883
    Nov 21, 2014
    United States
    Your system will still check for out-dated titles and update them to 5.5 if you're not careful. Some users that spoofed got updated thinking it was okay to unblock the update servers.
     
    Margen67 likes this.
  8. Maximilious
    OP

    Maximilious GBAtemp Addict

    Member
    2,096
    883
    Nov 21, 2014
    United States
    Well I just bought it and its downloading. I had to take off tubehax dns to download it though (wonder if Ninty is blocking it from us now). I'm still blocked at the router but we will see how it goes!

    This is one of the only games I can't justify using over loadiine since it's so online dependant.

    Edit: Confirmed working! I downloaded the title, installed, restarted, tried eshop and got denied. Then launched OSdriver and NNU to get back into eshop. Browser was not upgraded to 5.4!
     
    Last edited by Maximilious, Oct 10, 2015